Pular para o conteúdo

/api/v1/chat-message-follow-ups/{id}

PATCH
/api/v1/chat-message-follow-ups/{id}
curl --request PATCH \
--url https://api.endless.zaia.app/api/v1/chat-message-follow-ups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "chatId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "chatMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "dueDate": "2026-04-15T12:00:00Z", "finishedAt": "2026-04-15T12:00:00Z", "message": "example", "reason": "example", "status": "cancelled", "triggerChatMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Updates a chat message follow-up.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
chatId

The id of the chat this follow-up belongs to.

string format: uuid
chatMessageId

The id of the chat message this follow-up belongs to.

string format: uuid
nullable
dueDate

The date and time when the follow-up message should be sent.

string format: date-time
finishedAt

The date and time when the follow-up went from pending to any other status.

string format: date-time
nullable
message

The follow-up message content.

string
>= 1 characters
reason

The reason why the follow-up failed.

string
nullable
status
string
Allowed values: cancelled
triggerChatMessageId

The id of the chat message that triggered the follow-up.

string format: uuid

The chat message follow-up was updated.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
chatId
required

The id of the chat this follow-up belongs to.

string format: uuid
chatMessageId
required

The id of the chat message this follow-up belongs to.

string format: uuid
nullable
dueDate
required

The date and time when the follow-up message should be sent.

string format: date-time
finishedAt
required

The date and time when the follow-up went from pending to any other status.

string format: date-time
nullable
message
required

The follow-up message content.

string
>= 1 characters
reason
required

The reason why the follow-up failed.

string
nullable
status
required

The current status of the follow-up.

string
Allowed values: pending sent failed cancelled
triggerChatMessageId
required

The id of the chat message that triggered the follow-up.

string format: uuid
Example
{
"status": "pending"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The chat message follow-up was not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Only pending follow-ups can be updated.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}